Subject: bug#37421: closed (Re: bug#37421: Apply nodejs test workaround?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Sep 2019 15:32:02 +0000

Your bug report

#37421: node fails to build during update

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37421: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37421
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37421: Apply nodejs test workaround?
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Fri, 20 Sep 2019 17:31:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jack,

Jack Hill 写道：
> I wanted to ping this issue. From the discussion in #37421, it 
> seems
> like we are OK with disabling the problematic tests as a 
> work-around
> for now.

We are.  Done as aae65db560bd146ba47774cca46056d72be2a5d4 and 
closing.

Kind regards,

T G-R

Subject: node fails to build during update
From: sirmacik <[email-masked]>
To: [email-masked]
Date: Mon, 16 Sep 2019 10:57:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to update ungoogled-chromium package but it fails on node
build and this happens repeatedly:

(guix pull done before)
$ guix package -u
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building /gnu/store/vk49dlkkixsik0fw9gsmnqn4jmgfw099-node-10.15.3.drv...
| 'check' phasebuilder for `/gnu/store/vk49dlkkixsik0fw9gsmnqn4jmgfw099-node-10.15.3.drv' failed with exit code 1
build of /gnu/store/vk49dlkkixsik0fw9gsmnqn4jmgfw099-node-10.15.3.drv failed
View build log at '/var/log/guix/drvs/vk/49dlkkixsik0fw9gsmnqn4jmgfw099-node-10.15.3.drv.bz2'.
cannot build derivation `/gnu/store/n6h5fv4isjjnqchpjfb5m7cv765s3vi0-ungoogled-chromium-76.0.3809.132-0.8eba5c0.drv': 1 dependencies couldn't be built
guix package: error: build of `/gnu/store/n6h5fv4isjjnqchpjfb5m7cv765s3vi0-ungoogled-chromium-76.0.3809.132-0.8eba5c0.drv' failed

I'm attaching log file from the build. 

--
Thank you for your time!
sirmacik
PGP: 0xE0DC81D523891771